Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1733686 (python-qcelemental) - Review Request: python-qcelemental - Periodic table, physical constants, and molecule parsing for quantum chemistry
Summary: Review Request: python-qcelemental - Periodic table, physical constants, and ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: python-qcelemental
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: python-pydantic 1789066
Blocks: 1733680
TreeView+ depends on / blocked
 
Reported: 2019-07-27 10:07 UTC by Susi Lehtola
Modified: 2021-07-17 09:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-17 09:13:26 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Susi Lehtola 2019-07-27 10:07:16 UTC
Spec URL: https://jussilehtola.fedorapeople.org/python-qcelemental.spec
SRPM URL: https://jussilehtola.fedorapeople.org/python-qcelemental-0.5.0-1.fc30.src.rpm
Fedora Account System Username: jussilehtola

Description:
QCElemental is a resource module for quantum chemistry containing
physical constants and periodic table data from NIST and molecule
handlers.

Periodic Table and Physical Constants data are pulled from NIST srd144
and srd121, respectively (details) in a renewable manner (class around
NIST-published JSON file).

This project also contains a generator, validator, and translator for
Molecule QCSchema.

Comment 1 Robert-André Mauchin 🐧 2019-07-27 16:25:35 UTC
 - Build the docs with Sphinx

 - Rename the second README.md file in prep so there is no overwrite

%doc README.md qcelemental/data/README.md


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: BUILDSTDERR: warning: File listed twice:
  /usr/share/doc/python3-qcelemental/README.md
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License", "*No copyright* BSD (unspecified)", "GNU Lesser General
     Public License (v3)". 104 files have unknown license. Detailed output
     of licensecheck in /home/bob/packaging/review/python-
     qcelemental/review-python-qcelemental/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-qcelemental-0.5.0-1.fc31.noarch.rpm
          python-qcelemental-0.5.0-1.fc31.src.rpm
python3-qcelemental.noarch: W: spelling-error %description -l en_US validator -> lavatorial
python3-qcelemental.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/qcelemental/tests/test_molparse_align_chiral.py testing aligner on enantiomers based on Table 1 of 10.1021/ci100219f aka J Chem Inf Model 2010 50(12) 2129-2140
python3-qcelemental.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/qcelemental/tests/test_molparse_align_chiral.py 644 testing aligner on enantiomers based on Table 1 of 10.1021/ci100219f aka J Chem Inf Model 2010 50(12) 2129-2140
python-qcelemental.src: W: spelling-error %description -l en_US validator -> lavatorial
2 packages and 0 specfiles checked; 2 errors, 2 warnings.

Comment 2 Susi Lehtola 2020-01-06 20:55:04 UTC
Thanks for the extremely speedy review, sorry I missed it!
Updated spec and srpm at

https://jussilehtola.fedorapeople.org/python-qcelemental.spec
https://jussilehtola.fedorapeople.org/python-qcelemental-0.12.0-1.fc31.src.rpm

(In reply to Robert-André Mauchin from comment #1)
>  - Build the docs with Sphinx

Unfortunately they require sphinx-automodapi
  https://github.com/astropy/sphinx-automodapi
which isn't packaged in Fedora. If it becomes available later on, I can enable the docs.

>  - Rename the second README.md file in prep so there is no overwrite
> 
> %doc README.md qcelemental/data/README.md

Actually, the second README.md pertains to the machine generated data files, and is shipped within the package:
 /usr/lib/python3.7/site-packages/qcelemental/data/README.md
so I don't think it needs to be included in the package documentation.

Comment 3 Susi Lehtola 2020-01-07 10:18:35 UTC
Dear Robert-André, do these changes suffice? Once this review is complete, I can start to look into updating Psi4.

Comment 4 Robert-André Mauchin 🐧 2020-01-07 18:24:57 UTC
LGTM, package approved.

Comment 5 Susi Lehtola 2020-01-07 18:39:33 UTC
Thanks for the review!!

Comment 6 Gwyn Ciesla 2020-01-07 19:33:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-qcelemental

Comment 7 Mattia Verga 2021-07-17 09:13:26 UTC
Package is in repos


Note You need to log in before you can comment on or make changes to this bug.